Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Class NoSuchParameterException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.security.GeneralSecurityException
                        |
                        +--java.security.NoSuchParameterException

public class NoSuchParameterException
extends GeneralSecurityException

NoSuchParameterException is thrown when a particular parameter is not available in an algorithm parameter set.

This class is documented in JavaSoft's preview APIs, for introduction in Java 1.2.

$Revision: 1.1.1.1 $

Since:
  IJCE 1.0.1
Author:
  David Hopwood
See Also:
  `java.security.AlgorithmParameters`, Serialized Form

Constructor Summary
`NoSuchParameterException()` Constructs a NoSuchParameterException without any detail message.
`NoSuchParameterException(String msg)` Constructs a NoSuchParameterException with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchParameterException

    public NoSuchParameterException()

  Constructs a NoSuchParameterException without any detail message.

### NoSuchParameterException

    public NoSuchParameterException(String msg)

  Constructs a NoSuchParameterException with the specified detail message. A detail message is a String that describes this particular exception.
  Parameters:
    `msg` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.